Solid Edge Assembly Type Library
GetGeometry1 Method
Maps to a constant defined in the Relation3dGeometryConstants constant set.
The coordinates of the position point of the relationship.
The coordinates of the position point of the relationship.
The coordinates of the position point of the relationship.
The orientation at the point described, with respect to the top-level assembly's coordinate system. The meaning of the vector is dependent on the relationship. For mates and planar aligns, it is the surface normal. When Geometry is an edge, the vector represents the direction of the edge.
The orientation at the point described, with respect to the top-level assembly's coordinate system. The meaning of the vector is dependent on the relationship. For mates and planar aligns, it is the surface normal. When Geometry is an edge, the vector represents the direction of the edge.
The orientation at the point described, with respect to the top-level assembly's coordinate system. The meaning of the vector is dependent on the relationship. For mates and planar aligns, it is the surface normal. When Geometry is an edge, the vector represents the direction of the edge.
Description
Returns the geometry of the referenced object.
Syntax
Visual Basic
Public Sub GetGeometry1( _
   ByRef GeometryType As Long, _
   ByRef PointX As Double, _
   ByRef PointY As Double, _
   ByRef PointZ As Double, _
   ByRef VectorX As Double, _
   ByRef VectorY As Double, _
   ByRef VectorZ As Double _
) 
Parameters
GeometryType
Maps to a constant defined in the Relation3dGeometryConstants constant set.
PointX
The coordinates of the position point of the relationship.
PointY
The coordinates of the position point of the relationship.
PointZ
The coordinates of the position point of the relationship.
VectorX
The orientation at the point described, with respect to the top-level assembly's coordinate system. The meaning of the vector is dependent on the relationship. For mates and planar aligns, it is the surface normal. When Geometry is an edge, the vector represents the direction of the edge.
VectorY
The orientation at the point described, with respect to the top-level assembly's coordinate system. The meaning of the vector is dependent on the relationship. For mates and planar aligns, it is the surface normal. When Geometry is an edge, the vector represents the direction of the edge.
VectorZ
The orientation at the point described, with respect to the top-level assembly's coordinate system. The meaning of the vector is dependent on the relationship. For mates and planar aligns, it is the surface normal. When Geometry is an edge, the vector represents the direction of the edge.
Remarks
This method returns the location, orientation, and type of geometry upon which the relationships are dependent for the referenced object. It is used in conjunction with Geometry2. Geometry1 represents one input to the relationship, and Geometry2 represents the other input.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objTangntRelation As SolidEdgeAssembly.TangentRelation3d
    ' Local variables to be declared here
    Const TESTFILE = "T:\vbtests\testcases\TangntRel3d.asm"
    Dim lngGeomType As Long
    Dim dblPointX As Double
    Dim dblPointY As Double
    Dim dblPointZ As Double
    Dim dblVectorX As Double
    Dim dblVectorY As Double
    Dim dblVectorZ As Double
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    objDoc.Close False
    'Open an existing Assembly containing TangentRelation
    Set objDoc = objApp.Documents.Open(Filename:=TESTFILE)
    'Get hold of the TangentRelation from the Relations3d collection
    Set objTangntRelation = objDoc.Relations3d(2)
    'Get the Geometry of the first Occurrence of TangentRelation
    Call objTangntRelation.GetGeometry1(GeometryType:=lngGeomType, pointx:=dblPointX, _
                                        pointy:=dblPointY, pointz:=dblPointZ, vectorx:=dblVectorX, _
                                        vectory:=dblVectorY, vectorz:=dblVectorZ)
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objTangntRelation = Nothing
End Sub
See Also

TangentRelation3d Object  | TangentRelation3d Members

Send comments on this topic.